import './demo3.css';
import React from 'react';
import ReactDOM from 'react-dom';
import Tab from '..';
const tabs = [
    { tab: 'Home', key: 'home', content: 'This is home page' },
    { tab: 'Document', key: 'doc', content: 'This is document page' },
    { tab: 'API', key: 'api', content: 'This is api page' },
];
ReactDOM.render(React.createElement("div", null,
    React.createElement(Tab, null, tabs.map(item => (React.createElement(Tab.Item, { closeable: true, key: item.key, title: item.tab }, item.content)))),
    React.createElement("br", null),
    React.createElement(Tab, { shape: "text" }, tabs.map(item => (React.createElement(Tab.Item, { closeable: true, key: item.key, title: item.tab }, item.content)))),
    React.createElement("br", null),
    React.createElement(Tab, { shape: "wrapped" }, tabs.map(item => (React.createElement(Tab.Item, { key: item.key, title: item.tab }, item.content)))),
    React.createElement("br", null),
    React.createElement("div", { style: { background: '#f7f7f7', padding: '10px' } },
        React.createElement(Tab, { shape: "wrapped", theme: 'grey' }, tabs.map(item => (React.createElement(Tab.Item, { closeable: true, key: item.key, title: item.tab }, item.content))))),
    React.createElement("p", null, "\u5168\u5C40\u901A\u680FTab"),
    React.createElement(Tab, { shape: "wrapped", size: 'large' }, tabs.map(item => (React.createElement(Tab.Item, { closeable: true, key: item.key, title: item.tab }, item.content)))),
    React.createElement("br", null),
    React.createElement(Tab, { size: 'large' }, tabs.map(item => (React.createElement(Tab.Item, { closeable: true, key: item.key, title: item.tab }, item.content)))),
    React.createElement("br", null),
    React.createElement(Tab, { shape: "text", size: 'large' }, tabs.map(item => (React.createElement(Tab.Item, { closeable: true, key: item.key, title: item.tab }, item.content)))),
    React.createElement("br", null)), document.getElementById('tab-demo-3'));
